## scikit-learn 0.4

=== doc/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf auto_examples/
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
