=== debian/changelog ===
scikit-learn (0.4-3) unstable; urgency=low

  * Acknowledging Nico's NMU
  * Restricting for Python versions >= 2.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Aug 2010 10:12:38 -0400

scikit-learn (0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Call dh_numpy from debian/rules to add the correct depends for numpy in
    python:Depends (Closes: #590762)

 -- Nico Golde <nion@debian.org>  Thu, 05 Aug 2010 13:34:19 +0200

scikit-learn (0.4-2) unstable; urgency=low

  * deb_cython_0.12.1 to use code cythoned with up-to-date cython
    0.12.1
  * Build-Depend on python-numpy providing numpy-ext (Closes: #589590)
  * Policy compliance 3.9.0:
    - providing BSD license verbatim and removing references
      to deprecated BSD license file on Debian systems
  * Nosetesting without suppressing output from code
  * Workaround to allow BFS (Closes: #588595)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Jul 2010 12:32:06 -0400

scikit-learn (0.4-1) unstable; urgency=low

  * Fresh upstream release:
    - no boost library used any longer (removed from Build-Depends)
  * Moving under NeuroDebian umbrella

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 29 Jun 2010 09:32:18 -0400
