=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: scikit-learn
 Section: python
 Priority: optional
-Maintainer: Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy-ext, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx, graphviz, python-nose, python-setuptools, cython, python-matplotlib, ipython, swig, libboost-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx, graphviz, python-nose, python-setuptools, cython, python-matplotlib, ipython, swig
+Standards-Version: 3.9.0
+XS-Python-Version: >= 2.5
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
 Vcs-Git: git://github.com/yarikoptic/scikit-learn.git
