=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # Run unittests
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	 python$* /usr/bin/nosetests --exclude '(manifold|test_gmm_em)' \
+	 python$* /usr/bin/nosetests -s --exclude '(manifold|test_gmm_em)' \
 	  $(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/scikits/learn
 else
 	: # Skip unittests due to nocheck
@@ -52,6 +52,7 @@
 	   echo "Moving '$$lib' into '$$tdir'." ; \
 	   mv $$lib $$tdir ; \
 	done
+	if [ -x /usr/bin/dh_numpy ]; then dh_numpy; fi
 
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
@@ -60,4 +61,4 @@
 override_dh_installdocs:
 	: # Use jquery from Debian package, so prune shipped one
 	-rm doc/_build/html/_static/jquery.js
-	dh_installdocs -A AUTHORS README
+	dh_installdocs -A AUTHORS README.rst
