=== debian/watch ===
version=3
http://github.com/yarikoptic/scikit-learn/downloads .*tarball/([\d\.a-z]+)
