=== debian/changelog ===
scikit-learn (0.8.1.dfsg-1) unstable; urgency=low

  * New upstream maintenance release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jul 2011 14:37:28 -0400

scikit-learn (0.8.0.dfsg-1) unstable; urgency=low

  * New upstream release
  * [97bc011] Boost policy compliance to 3.9.2 -- no changes
  * Included post-release fixes:
    - [f7d5317] FIX: reflect SVC API change (eps -> tol) in doc/tutorial.rst
  * Disabled unittest test_fit_works_on_sequences_of_different_length
    due to test failure during build

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 May 2011 10:08:13 -0400

scikit-learn (0.7.1.dfsg-3) unstable; urgency=low

  * Do not build documentation in -a mode, to prevent timeouts on buildd
    servers
  * Use JOBLIB_MULTIPROCESSING=0 to suppress use of multiprocessing by
    joblib while running tests to prevent failures in chroots without
    /dev/shm mounted

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Apr 2011 17:18:46 -0400

scikit-learn (0.7.1.dfsg-2) unstable; urgency=low

  * Upload to unstable
  * Exclude objects.inv from being compressed (Closes: #608775)
  * Restrict numpy versioned dependency only to -lib package. Thanks Jakub
    Wilk

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 14:24:35 -0400

scikit-learn (0.7.1.dfsg-1) experimental; urgency=low

  * [8972010] New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Mar 2011 11:31:00 -0400

scikit-learn (0.6.0.dfsg-1) experimental; urgency=low

  * [05f0870] Disabled use of system libsvm - scikits.learn has its own
    fork
  * [104eb54] Adjusted dfsg rule -- do not prune libsvm
  * [6b4e757] Updated copyright: DEP5 rev153, entries for cblas/ and
    lib{linear/svm}
  * [489f3a2] Extended TODO (in emacs-org mode): consider system's
    liblinear (need 1.7 with a fix)
  * Introduced .dfsg suffix to signal for difference from the pristine
    distribution of scikits.learn
  * [5dc61b3] Added README.source to describe reason(s) for .dfsg
  * [81e7f16] debian/watch: mangle debian version - remove .dfsg for
    comparisons

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 09 Jan 2011 21:01:33 -0500

scikit-learn (0.5-1) experimental; urgency=low

  * New upstream release.  Absorbed patches:
    - up_libsvm_verbosity_control
    - up_system_libsvm_no_svmhdepends
    - deb_libsvm_cythoning
  * Boost policy compliance to 3.9.1 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 11 Oct 2010 10:00:11 -0400

scikit-learn (0.5~rc3-1) UNRELEASED; urgency=low

  * New upstream release-candidate
    - pruning joblib in favor of external package
      added patch deb_use_system_joblib 
  * New patches for upstream
    - up_libsvm_verbosity_control -- API for controlling libsvm verbosity
    - up_system_libsvm_no_svmhdepends -- do not use shipped svm.h
  * Deprecated patches:
    - up_workaround_numpy_cython_issue589652
    - deb_cython_0.12.1

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Oct 2010 15:05:40 -0400
