## scikit-learn 0.9.0.dfsg

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,11 @@
 # caution: testing won't work on windows, see README
 
 PYTHON ?= python
+CYTHON ?= cython
 NOSETESTS ?= nosetests
 CTAGS ?= ctags
 
-all: clean inplace test test-doc
+all: clean inplace test
 
 clean-pyc:
 	find . -name "*.pyc" | xargs rm -f
@@ -27,18 +28,23 @@
 inplace:
 	$(PYTHON) setup.py build_ext -i
 
-test: in
-	$(NOSETESTS) -s scikits/learn
+test-code: in
+	$(NOSETESTS) -s sklearn
 test-doc:
 	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
 	--doctest-fixtures=_fixture doc/modules/
 
 test-coverage:
-	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage
+	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage \
+	--cover-package=sklearn sklearn
 
+test: test-code test-doc
 
 trailing-spaces:
 	find -name "*.py" |xargs sed -i 's/[ \t]*$$//'
+
+cython:
+	find sklearn -name "*.pyx" | xargs $(CYTHON)
 
 ctags:
 	# make tags for symbol based navigation in emacs and vim
