=== doc/Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
+
+all: html-noplot
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -30,9 +32,16 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 	-rm -rf auto_examples/
+	-rm -rf doc/generated/*
+	-rm -rf modules/generated/*
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+html-noplot:
+	$(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
@@ -88,3 +97,6 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+download-data:
+	python -c "from scikits.learn.datasets.lfw import check_fetch_lfw; check_fetch_lfw()"
