## scikit-learn 0.10.0

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	$(NOSETESTS) -s sklearn
 test-doc:
 	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
-	--doctest-fixtures=_fixture doc/modules/
+	--doctest-fixtures=_fixture doc/ doc/modules/
 
 test-coverage:
 	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage \
@@ -41,7 +41,7 @@
 test: test-code test-doc
 
 trailing-spaces:
-	find -name "*.py" |xargs sed -i 's/[ \t]*$$//'
+	find . -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'
 
 cython:
 	find sklearn -name "*.pyx" | xargs $(CYTHON)
@@ -50,3 +50,9 @@
 	# make tags for symbol based navigation in emacs and vim
 	# Install with: sudo apt-get install exuberant-ctags
 	$(CTAGS) -R *
+
+doc: inplace
+	make -C doc html
+
+doc-noplot: inplace
+	make -C doc html-noplot
