=== debian/changelog ===
scikit-learn (0.10.0-1build1) precise; urgency=low

  * Rebuild to pick up numpy-abi9 on armel

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 19 Feb 2012 14:48:31 +0100

scikit-learn (0.10.0-1) unstable; urgency=low

  * Snapshot of upstream release branch
    - Python 2.5 compatibility dropped
  * Dropping .dfsg suffix since it is not adequate.  Sources are
    repackaged only to remove joblib shipped in a separate package in Debian
    main
  * Adjusted dfsg and other rules to operate on sklearn directory
  * Dropping cherry-picked fix up_release_sv_coef_memory
  * Operate on 'requested' not all supported Python versions
  * Added 'set -e' to composite cmdline constructs in debian/rules to
    prevent swallowing errors. Thanks to Jakub Wilk for citing me the relevant
    exerpt from Debian policy ;-)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2012 22:42:03 -0500
