=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx (>= 1.0~), graphviz, python-nose, python-setuptools, cython (>= 0.12~), python-matplotlib, swig, python-joblib (>= 0.4.5)
 Standards-Version: 3.9.2
-XS-Python-Version: >= 2.5
+XS-Python-Version: >= 2.6
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
 Vcs-Git: git://github.com/yarikoptic/scikit-learn.git
@@ -56,7 +56,7 @@
 
 
 Package: python-scikits-learn
-Depends: python-sklearn, ${misc:Depends}
+Depends: python-sklearn, ${misc:Depends}, ${python:Depends}
 Architecture: all
 Section: oldlibs
 Description: transitional compatibility package for scikits.learn -> sklearn migration
