=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PACKAGE_NAME = python-sklearn
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
 
-PYVERS = $(shell pyversions -vs)
+PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
 
 # Mega rule
@@ -14,7 +14,7 @@
 
 
 override_dh_clean:
-	rm -rf build doc/_build doc/auto_examples *-stamp scikits.learn.egg-info scikits/learn/datasets/__config__.py
+	rm -rf build doc/_build doc/auto_examples *-stamp *.egg-info sklearn/datasets/__config__.py
 	dh_clean
 
 
@@ -57,6 +57,7 @@
 ## move binary libraries into -lib
 override_dh_pysupport:
 	: # Move platform-specific libraries into -lib
+	set -e; \
 	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
 	   sdir=$$(dirname $$lib) ; \
 	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
@@ -68,6 +69,7 @@
 	: # Prune scikits/__init__.py to avoid conflicts
 	find debian -wholename \*scikits/__init__.py -delete
 	: # Move scikits. space into a compatibility package
+	set -e; \
 	find debian -wholename \*scikits -type d | while read skd; do \
 		skbd=$$(dirname $$skd); \
 		skbd_=$$(echo $$skbd | sed -e 's/sklearn/scikits-learn/g'); \
@@ -82,11 +84,11 @@
 
 
 ## to prepare next Debian upstream source tarball
-dfsg: dfsg-master
+dfsg: dfsg-releases
 dfsg-%:
 	git checkout dfsg
 	-git merge --no-commit $*
-	-git rm -rf scikits/learn/externals/joblib
-	# -git rm -f ./scikits/learn/svm/src/libsvm/svm.*
+	-git rm -rf sklearn/externals/joblib
+	# -git rm -f ./sklearn/svm/src/libsvm/svm.*
 	git commit -m "Merge $* into DFSG (pruning externals: joblib)" -a
 	git checkout debian
