## scikit-learn 0.11.0

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,8 @@
 	$(NOSETESTS) -s sklearn
 test-doc:
 	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
-	--doctest-fixtures=_fixture doc/ doc/modules/
+	--doctest-extension=inc --doctest-fixtures=_fixture doc/ doc/modules/ \
+	doc/developers doc/tutorial/basic doc/tutorial/statistical_inference
 
 test-coverage:
 	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage \
