=== debian/changelog ===
scikit-learn (0.11.0-2+deb7u1) wheezy; urgency=low

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Backport fix for #709056 to wheezy.

  [ Yaroslav Halchenko ]
  * debian/control
    - move joblib to Depends from Recommends (Closes: #709056)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2013 21:08:56 +0100

scikit-learn (0.11.0-2) unstable; urgency=low

  * Patches to resolve FTBFS'es (Closes: #680246)
    - armel: up_inconsistent_numpy_warnings (adopted upstream)
    - mipsel: up_MinCovDet_test_seeding (picked up from upstream)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Jul 2012 11:26:24 -0400

scikit-learn (0.11.0-1) unstable; urgency=low

  * Fresh upstream release
  * Adjusted patches/deb_use_system_joblib to avoid submodule
    import
  * debian/rules:
    - run unittests in verbose mode
    - exclude 1 test with known failures (reported upstream) 
      to avoid FTBFS

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 May 2012 22:40:04 -0400
