=== debian/control ===
--- 
+++ 
@@ -15,10 +15,11 @@
 Replaces: python-scikits-learn (<< 0.9~)
 Breaks: python-scikits-learn (<< 0.9~)
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version})
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
+         python-joblib (>= 0.4.5),
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
-Recommends: python-nose, python-psyco, python-matplotlib, python-joblib (>= 0.4.5)
+Recommends: python-nose, python-psyco, python-matplotlib
 Suggests: python-dap, python-scikits-optimization, python-sklearn-doc, ipython
 Enhances: python-mvpa2, python-mdp
 Description: Python modules for machine learning and data mining
