## scikit-learn 0.13

=== debian/changelog ===
scikit-learn (0.13-3) unstable; urgency=low

  * Upload to unstable
  * debian/control
    - move joblib to Depends from Recommends (Closes: #709056)
  	- remove unused AFAIK XB-Python-Version

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 May 2013 11:01:00 -0400

scikit-learn (0.13-2) experimental; urgency=low

  * CP from upstream commits to fix a problem with ROC curves lacking
    (0,0), (1,1) trailing points in some cases (gh-1658)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Feb 2013 12:31:57 -0500

scikit-learn (0.13-1) experimental; urgency=low

  * Fresh upstream release
    - dropping CP-ed changesets and deb_disable_test_spectral_old_scipy patch 
  * debian/rules
    - removing exclusion of tests previously failed

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Jan 2013 21:37:24 -0500

scikit-learn (0.12.1-1) experimental; urgency=low

  * Fresh upstream bugfix release
    - for now excluded some labile tests from testing
    - picked up after release fix: 552833 Robustify LARS. Fixes issue #487

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 31 Oct 2012 16:17:41 -0400

scikit-learn (0.12.0-1) experimental; urgency=low

  * Fresh upstream release:
    - all debian/up_ patches removed, deb_ patched updated
  * Boosted policy to 3.9.3 (should be ok without changes)
  * patches/deb_disable_test_spectral_old_scipy
    - disable unittest on older scipy's due to failure
  * debian/control
    - removed obsolete (and not used any longer) python-psyco from
      Recommends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Sep 2012 21:30:31 -0400
