=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx (>= 1.0~), graphviz, python-nose, python-setuptools, cython (>= 0.12~), python-matplotlib, swig, python-joblib (>= 0.4.5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
@@ -18,8 +18,7 @@
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
          python-joblib (>= 0.4.5),
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Recommends: python-nose, python-psyco, python-matplotlib
+Recommends: python-nose, python-matplotlib
 Suggests: python-dap, python-scikits-optimization, python-sklearn-doc, ipython
 Enhances: python-mvpa2, python-mdp
 Description: Python modules for machine learning and data mining
@@ -49,7 +48,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for scikit-learn
  This is an add-on package for python-sklearn. It provides
  low-level implementations and custom Python bindings for the LIBSVM
