=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
+
+# Some tests are known to fail randomly so need to be excluded ATM
+NOSEARGS := 
+# --exclude='test_(sparse_svc_clone_with_callable_kernel|spectral_clustering_sparse|ovr_fit_predict)'
 
 # Mega rule
 %:
@@ -29,8 +33,8 @@
 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	export JOBLIB_MULTIPROCESSING=0; \
-	cd build/; python$* /usr/bin/nosetests -s sklearn && \
-			   { python$* /usr/bin/nosetests --with-doctest --doctest-extension=rst ../doc/ || : ; } # doctests are failing ATM
+	cd build/; python$* /usr/bin/nosetests -s -v $(NOSEARGS) sklearn && \
+	  { python$* /usr/bin/nosetests -v --with-doctest --doctest-extension=rst ../doc/ || : ; } # doctests are failing ATM
 else
 	: # Skip unittests due to nocheck
 endif
