=== debian/changelog ===
scikit-learn (0.13.1-1~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 01 Jun 2013 15:52:07 -0400

scikit-learn (0.13.1-1) unstable; urgency=low

  * "Fresh" bugfix release:
    - dropping all cherry picked changesets

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Jun 2013 11:36:44 -0400
