=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: scikit-learn
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, python-scipy, libsvm-dev (>= 2.84.0), python-sphinx (>= 1.0~), graphviz, python-nose, python-setuptools, cython (>= 0.12~), python-matplotlib, swig, python-joblib (>= 0.4.5)
 Standards-Version: 3.9.3
@@ -15,7 +16,7 @@
 Replaces: python-scikits-learn (<< 0.9~)
 Breaks: python-scikits-learn (<< 0.9~)
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
          python-joblib (>= 0.4.5),
 Provides: ${python:Provides}
 Recommends: python-nose, python-matplotlib
@@ -36,7 +37,7 @@
 Replaces: python-scikits-learn-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-sklearn
 Description: documentation and examples for scikit-learn
  This package contains documentation and example scripts for
@@ -46,7 +47,7 @@
 Conflicts: python-scikits-learn-lib
 Replaces: python-scikits-learn-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
 Description: low-level implementations and bindings for scikit-learn
  This is an add-on package for python-sklearn. It provides
@@ -55,7 +56,7 @@
 
 
 Package: python-scikits-learn
-Depends: python-sklearn, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, python-sklearn, ${misc:Depends}, ${python:Depends}
 Architecture: all
 Section: oldlibs
 Description: transitional compatibility package for scikits.learn -> sklearn migration
